#!/bin/bash

# Mount Root Device
tar -xvf VSLG.tar
chmod -R 777 VSLG
df -h

#VSL
cp VSLG/addons/LinuxBroadcastScannerTool/BroadcastScanner_x86_64 /usr/bin
cd /usr/bin/
chmod 777 BroadcastScanner_x86_64
ls -l BroadcastScanner_x86_64
BroadcastScanner_x86_64

# user's log in
read -p "type your username: " USERNAME
hostnamectl set-hostname $USERNAME
systemctl restart systemd-hostnamed
hostnamectl status

sudo -u $USERNAME mkdir /home/$USERNAME/Documents
sudo -u $USERNAME mkdir /home/$USERNAME/Downloads
cd /home/$USERNAME/
cd Documents/
mkdir VSL
chmod 777 VSL /usr/bin/VSL.json
cp /usr/bin/VSL.json /home/$USERNAME/Documents/VSL/

sudo -u $USERNAME mkdir /home/$USERNAME/DrvLog /tmp/DrvLog /home/$USERNAME/Documents/DrvLog

# LinuxOpenLog
current_dir=$(pwd)
script_dir=$(dirname "$BASH_SOURCE")

echo $current_dir
echo $script_dir
cp -R "$current_dir/DrvLog/" /tmp

export SANE_DEBUG_DLL=255
export SANE_DEBUG_LANXUM_GA_SERIES=255

cd /tmp/DrvLog/
touch SANE.txt
chmod 777 SANE.txt

su -l $USERNAME
